/**
 * Funcin que devuelve la URL deseada de la imagen para incluir en las instrucciones. 
 * Establece el valor de la constante definida en el JavaScript whizzywig.js. Luego cierra la 
 * ventana de tipo 'pop up' para elegir imagen
 *
 * @author	David Domnguez
 * @param	url				string con la URL de la imagen a incluir en las instrucciones
 */
function WantThis(url) {
	window.parent.opener.document.getElementById('if_url').value = url;
	window.parent.close();
}

/**
 * Funcin que cambia la imagen mostrada en el campo "nombre" del frame "frame" de la pgina 
 * por la imagen recibida en el parmetro "imag". Se cosidera que la llamada a esta funcin se 
 * realiza desde otro frame de la misma pgina.
 *
 * @author	David Domnguez
 * @param	imag			direccin de la imagen nueva a mostrar
 * @param	nombre			nombre del campo de imagen a modificar
 * @param	frame			nombre del frame que contiene el campo imagen a modificar
 */
function cambiaImagen(imag, nombre, frame) { 
	window.parent.frames[frame].document.images[nombre].src=imag;
}