<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>File Upload</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.Archivo.focus()" bgcolor="#C3D3DF">
	
		<font color="#008000" size="4">${Informacion}<!-- Mensajes de informacin al usuario en la pgina --></font>

		<x:aviso aviso="${Aviso}"/>
		
		<p><font size="4">Directorio Actual: ${DirectorioActual}</font></p>
		
		<!-- Enlace para volver al directorio superior. Se muestra slo si el enlace es distinto 
		de null, lo que indica que no se puede subir un directorio. -->
		<c:if test="${DirectorioSuperior != null}">	
			<p><img src="dir.png"/><a href="fileupload.jsp?DirectorioActual=${DirectorioSuperior}">/..</a></p>
		</c:if>

		<!-- Lista los directorios del directorio actual -->
		<c:forEach var="dir" items="${NombresDirectorios}">
			<p><img src="dir.png"/><a href="fileupload.jsp?DirectorioActual=${DirectorioActual}/${dir}">/${dir}</a></p>
		</c:forEach>
		
		<p><a href="nuevodirectorio.jsp?DirectorioActual=${DirectorioActual}&VolverA=fileupload.jsp">Crear Nuevo Directorio</a></p>
		
		<br />
		
		<form method="post" enctype="multipart/form-data" name="Formulario">
			<input type="file" name="Archivo" size="50">
			<p><input type="submit" value="Subir Imagen"/>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, '', '', '', '')"/></p>
		</form>
		
		<p><a href="seleccionasignatura.jsp?Destino=fileupload.jsp">Cambiar de Asignatura</a></p>
		
		<p><a href="javascript:self.close()">Cerrar ventana</a></p>

	<jsp:include page="pie.jsp"/>