<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Seleccione directorio</title>
	</head>

	<body onLoad="document.Formulario.Identif.focus()" bgcolor="#C3D3DF">

		<jsp:include page="cabecera.jsp"/>
		
		<p><font color="#008000" size="4">${Informacion}<!-- Mensajes de informacin al usuario en la pgina --></font></p>

		<x:aviso aviso="${Aviso}"/>
		
		<p><font size="4">Directorio Actual: ${DirectorioActual}</font></p>
		
		<!-- Enlace para volver al directorio superior. Se muestra slo si el enlace es distinto 
		de null, lo que indica que no se puede subir un directorio. -->
		<c:if test="${DirectorioSuperior != null}">	
			<p><img src="dir.png"/><a href="finitem.jsp?DirectorioActual=${DirectorioSuperior}">/..</a></p>
		</c:if>

		<!-- Lista los directorios del directorio actual -->
		<c:forEach var="dir" items="${NombresDirectorios}">
			<p><img src="dir.png"/><a href="finitem.jsp?DirectorioActual=${DirectorioActual}/${dir}">/${dir}</a></p>
		</c:forEach>
		
		<p><a href="nuevodirectorio.jsp?DirectorioActual=${DirectorioActual}&VolverA=finitem.jsp">Crear Nuevo Directorio</a></p>
		
		<br />
		
		<form method="post" name="Formulario">
			<!-- El campo para introducir un nuevo identificador del tem se muestra si ya existe 
			un tem con el mismo identificador que ya se introdujo  -->	
			<c:if test="${Nuevo == true}">	
				<p>Introduzca el nuevo Nombre de archivo: <input type="text" name="Identif" size="26"></p>
			</c:if>
			
			<p><input type="submit" value="Crear &Iacute;tem XML" name="Form"></p>
		</form>
		
		<p><a href="seleccionasignatura.jsp?Destino=finitem.jsp">Cambiar de Asignatura</a></p>
		
	<jsp:include page="pie.jsp"/>