<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Introducir respuestas tipo "Choice"</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">

		<jsp:include page="cabecera.jsp"/>
		
		<p><h2>Introducir respuestas tipo "Choice"</h2></p>

		<x:aviso aviso="${Aviso}"/>
		
		<form method="post" name="Formulario">
			<p>N&uacute;mero m&aacute;ximo de elecciones del candidato*: <input type="text" name="MaxChoices" size="6" value="${MaxChoices}"><br />
			(si es cero no hay restricciones en el n&uacute;mero m&aacute;ximo de elecciones)</p>
			<table border="1" width="600">
				<!-- Un elemento por cada respuesta del tem -->
				<c:forEach var="numero" begin="0" end="${Num_Resp - 1}">
					<tr>
						<td width="300">Respuesta ${numero + 1}*: <input type="text" name="Respuesta${numero}" size="45" value="${Respuestas[numero]}"></td>
						<td width="103">Identificador*: <input type="text" name="Identificador${numero}" size="12" value="${Identificador[numero].identificador}"></td>
						<td><center>&#191;Correcta? <input type="checkbox" name="Correcto${numero}" <c:if test="${Correcto[numero] == true}">checked="true"</c:if>></center></td>
						<c:if test="${Shuff == true}">
							<td><center>&#191;Fija? <input type="checkbox" name="Fija${numero}" <c:if test="${Fija[numero] == true}">checked="true"</c:if>></center></td>
						</c:if>
					</tr>
				</c:forEach>
				
			</table>
			
			<p><input type="submit" value="Crear &Iacute;tem XML" name="Form" onClick="return confirmSubmit('&#191;Est&aacute; conforme con los datos introducidos para crear el &iacute;tem Choice?')"/>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, 'Identificador', '${IdentificadorBase}', '', '')"/></p>
		</form>

		<p>* Campo obligatorio</p>
		
	<jsp:include page="pie.jsp"/>