<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Introducir textos y "Hot Texts"</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">

		<jsp:include page="cabecera.jsp"/>
		
		<p><h2>Introducir los textos y los "Hot Texts"</h2></p>

		<x:aviso aviso="${Aviso}"/>
		
		<form method="post" name="Formulario">
			<p>N&uacute;mero m&aacute;ximo de elecciones*: <input type="text" name="Max" size="5" value="${Max}"></p>
			<p>Texto hasta el primer "Hot Text": <textarea name="Texto0" cols="50" rows="3">${Texto[0]}</textarea></p>
			<!-- Los hot texts y textos intermedios. Su nmero es igual al nmero de huecos 
			menos uno -->
			<c:forEach var="hot" begin="1" end="${NumHot}">
				<p>Hot Text ${hot}*: <input type="text" name="Hottext${hot - 1}" size="15" value="${Hottexts[hot - 1]}"></p>
				<p>Identificador*: <input type="text" name="IdentHot${hot - 1}" size="10" value="${IdentHot[hot - 1].identificador}"></p>
				<p>&#191;Hot Text Correcto? <input type="checkbox" name="Correcto${hot - 1}" <c:if test="${Correcto[hot - 1] == true}">checked="true"</c:if>>
				<!-- Si es el ltimo hottext pide el ltimo texto, no el texto siguiente -->
				<c:if test="${hot != NumHot}">
					<p>Texto del "Hot Text" ${hot} al "Hot Text" ${hot + 1}: <textarea name="Texto${hot}" cols="50" rows="3">${Texto[hot]}</textarea></p>
				</c:if>
			</c:forEach>
			<!-- El ltimo texto no se pide en el bucle anterior, sino aqu -->
			<p>Texto tras el &uacute;ltimo "Hot Text": <textarea name="Texto${NumHot}" cols="50" rows="3">${Texto[NumHot]}</textarea></p>

			<p><input type="submit" value="Crear &Iacute;tem XML" name="Form" onClick="return confirmSubmit('&#191;Est&aacute; conforme con los datos introducidos para crear el &iacute;tem Hot Text?')"/>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, 'IdentHot', '${IdentificadorBase}', '', '')"/></p>
		</form>

		<p>* Campo obligatorio</p>
		
	<jsp:include page="pie.jsp"/>