<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Introducir respuesta tipo "Text Entry"</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">

		<jsp:include page="cabecera.jsp"/>
		
		<p align="center"><u><font size="5">Introducir textos y respuesta tipo "Text Entry"</font></u></p>

		<x:aviso aviso="${Aviso}"/>
		
		<form method="post" name="Formulario">
			<p>Texto hasta la respuesta:<br /><textarea name="Texto1" rows="6" cols="40">${Texto1}</textarea></p>
			<p>Respuesta correcta*: <input type="text" name="Respuesta" size="45" value="${Respuesta}"></p>
			<p>Longitud esperada: <input type="text" name="Longitud" size="5" value="${Longitud}"></p>
			<p>Texto tras la respuesta:<br /><textarea name="Texto2" rows="6" cols="40">${Texto2}</textarea></p>
			
			<p><input type="submit" value="Crear &Iacute;tem XML" name="Form" onClick="return confirmSubmit('&#191;Est&aacute; conforme con los datos introducidos para crear el &iacute;tem Text Entry?')"/>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, '', '', '', '')"/></p>
		</form>

		<p>* Campo obligatorio</p>
		
	<jsp:include page="pie.jsp"/>