/**
 * Funcin que pide una confirmacin al usuario mediante una pequea ventana mostrndole un 
 * mensaje para ayudarle a tomar la decisin. Devuelve true o false en funcin de si acept o 
 * no respectivamente.
 *
 * @author	David Domnguez
 * @param	mensaje			string con la pregunta que se le hace al usuario
 * @return					true o false en funcin de si el usuario acept o no la 
 * 							confirmacin, respectivamente.
 */
function confirmSubmit(mensaje) {
	// Variable con la respuesta del usuario a la peticin de confirmacin con el mensaje
	var confirmacion = confirm(mensaje);
	
	// Devuelve true o false en funcin de la respuesta del usuario
	if (confirmacion)
		return true ;
	else
		return false ;
}