/**
 * Funcin que abre una nueva ventana del navegador de tipo 'pop up', especificando su URL, su 
 * nombre y los parmetros de la ventana.
 *
 * @author	David Domnguez
 * @param	url				direccin de la pgina a abrir en la nueva ventana
 * @param	nombre			nombre de la nueva ventana
 * @param	params			parmetros de la nueva ventana, como tamao, si tiene barra de 
 * 							desplazamiento, etc.
 */
function popup(url, nombre, params) {
	// Abre la nueva ventana con los parmetros recibidos
	nuevaVentana = window.open(url,nombre,params);

	// Si el 'focus' est en la ventana original
	if (window.focus)
		 {nuevaVentana.focus()}	// Coloca el 'focus' en la nueva ventana de 'po-pup'
	
	return false;	//Para no abrir la pgina en la ventana principal
}