<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Nuevo Test</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/whizzery/whizzywig.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/whizzery/espanol.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/whizzery/xhtml.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/popup.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">
	
		<jsp:include page="cabecera.jsp"/>
		
		<p align="center"><font size="5">Crear Nuevo Test</font></p>

		<x:aviso aviso="${Aviso}"/>

		<form method="post" onsubmit="syncTextarea();" name="Formulario">
			<p>Identificador del Test*: <input type="text" name="Identif" size="26" value="${Identif}"></p>
			<p>T&iacute;tulo del test*: <input type="text" name="Tit" size="34" value="${Tit}"></p>
			<p><a href="seleccionasignatura.jsp?Destino=fileupload.jsp" 
					onclick="return popup('seleccionasignatura.jsp?Destino=fileupload.jsp','fileupload','height=400,width=460,left=100,top=150,scrollbars = yes')">
					Subir Imagen (bmp, jpeg, png o gif)
			</a></p>
			<p>Instrucciones:</p>
			<p>
				<textarea name="Instruc" id="Instruc" cols="100" rows="20" style="width:1024px; height:300px">${Instruc}</textarea>
				<x:whizzywig textarea="Instruc"/>
			</p>
			<p>Permitir revisar las respuestas del test al finalizar*:<br />
				<input type="radio" name="allowReview" <c:if test="${allowReview == true}">checked="true"</c:if> value="true"> <strong>S&iacute;</strong>, revisar el test tras responderlo<br />
				<input type="radio" name="allowReview" <c:if test="${allowReview == false}">checked="false"</c:if> value="false"> <strong>No</strong>, no revistar el test tras responderlo
			</p>
			<p>N&uacute;mero de &iacute;tems a seleccionar del conjunto: <input type="text" name="Select" size="6" value="${Select}"><br/>
			En blanco o con un cero se seleccionan todos los &iacute;tems</p>
			<p>&#191;Mezclar aleatoriamente los &iacute;tems? <input type="checkbox" name="Shuffle" <c:if test="${Shuffle == true}">checked="true"</c:if>></p>
			<p><input type="submit" value="Seleccionar &Iacute;tems para el Test" name="Form"/></a>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, 'Identif', '', '', '')"/></p>
		</form>

		<p>* Campo obligatorio</p>

	<jsp:include page="pie.jsp"/>