<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Introduzca los pesos de los &Iacute;tems</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">

		<jsp:include page="cabecera.jsp"/>
		
		<p><h2>Introduzca los pesos de cada tem</h2></p>

		<x:aviso aviso="${Aviso}"/>

		<p>Los pesos en caso de tem correcto que se dejen vacos se considerarn igual a 1.0 y los 
		de tem incorrecto vacos igual a 0.0</p>

		<form method="post" name="Formulario">
				<table border="1">
					<tr>
						<td width="230px" bgcolor="#ACC0C6"><p align="center"><b>Item</b></p></td>
						<td width="160px" bgcolor="#ACC0C6"><p align="center"><b>Ttulo</b></p></td>
						<td width="120px" bgcolor="#ACC0C6"><p align="center"><b>Identificador</b></p></td>
						<td width="120px" bgcolor="#ACC0C6"><p align="center"><b>Peso Correcto</b></p></td>
						<td width="120px" bgcolor="#ACC0C6"><p align="center"><b>Peso Incorrecto</b></p></td>
						<c:if test="${Shuffle == true}">
							<td width="120px" bgcolor="#ACC0C6"><p align="center"><b>Fija</b></p></td>
						</c:if>
						<c:if test="${Select == true}">
							<td width="120px" bgcolor="#ACC0C6"><p align="center"><b>Requerido</b></p></td>
						</c:if>
					</tr>
					
					<!-- Una fila de la tabla por cada tem aadido al test -->
					<c:forEach var="item" items="${Items_A_Aadir}"  varStatus="estado">
						<tr>
							<td><p align="center">${item.nombre}</p></td>
							<td><p align="center">${item.titulo}</p></td>
							<td><p align="center"><input type="text" name="Identif_${estado.index}" size="10" value="${Identif[estado.index].identificador}"></p></td>
							<td><p align="center"><input type="text" name="Ok_${estado.index}" size="3" value="${Ok[estado.index]}"></p></td>
							<td><p align="center"><input type="text" name="NoOk_${estado.index}" size="3" value="${NoOk[estado.index]}"></p></td>
							<c:if test="${Shuffle == true}">
								<td><p align="center"><input type="checkbox" name="Fija_${estado.index}" <c:if test="${Fija[estado.index] == true}">checked="true"</c:if>></p></td>
							</c:if>
							<c:if test="${Select == true}">
								<td><p align="center"><input type="checkbox" name="Requerido_${estado.index}" <c:if test="${Requerido[estado.index] == true}">checked="true"</c:if>></p></td>
							</c:if>
						</tr>
					</c:forEach>
				</table>

				<input type="submit" value="Crear Test" name="Crear" onClick="return confirmSubmit('Est conforme a los pesos que ha introducido?')"/>
				<input type="button" value="Restablecer" onClick="resetValues(Formulario, 'Identif_', '${IdentificadorBase}', '', '')"/></p>
				
		</form>


	<jsp:include page="pie.jsp"/>