<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Introducir huecos y opciones "Gap Match"</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">
	
		<jsp:include page="cabecera.jsp"/>
		
		<p><h2>Introducir los textos, los huecos y las opciones</h2></p>

		<x:aviso aviso="${Aviso}"/>
		
		<form method="post" name="Formulario">
			<p>Texto hasta el primer hueco: <textarea name="Texto0" cols="50" rows="3">${Texto[0]}</textarea></p>
			<!-- Los textos intermedios. Su nmero es igual al nmero de huecos menos uno -->
			<c:forEach var="huec" begin="1" end="${NumHuec - 1}">
				<p>Texto del hueco ${huec} al hueco ${huec+1}: <textarea name="Texto${huec}" cols="50" rows="3">${Texto[huec]}</textarea></p>
			</c:forEach>
			<p>Texto tras el &uacute;ltimo hueco: <textarea name="Texto${NumHuec}" cols="50" rows="3">${Texto[NumHuec]}</textarea></p>

			<p>Para los n&uacute;meros m&aacute;ximos de elecciones un valor de cero indica que no hay restricciones 
			en el n&uacute;mero m&aacute;ximo de elecciones</p>
			<table border="1">
				<tr>
					<td></td>
				<!-- Un elemento por cada opcin del tem -->
					<c:forEach var="opc" begin="0" end="${NumOpc - 1}">
						<td>
							Opci&oacute;n ${opc+ 1}*: <input type="text" name="Opcion${opc}" size="15" value="${Opcion[opc]}"><br />
							Identificador*: <input type="text" name="IdentOpc${opc}" size="10" value="${IdentOpc[opc].identificador}"><br />
							M&aacute;ximas asociaciones*: <input type="text" name="Max${opc}" size="5" value="${Max[opc]}">
							<c:if test="${Shuffle == true}">
								<br />&#191;Fija? <input type="checkbox" name="Fija${opc}" <c:if test="${Fija[opc] == true}">checked="true"</c:if>>
							</c:if>
						</td>
					</c:forEach>
				</tr>
				
				<!-- Un elemento por cada hueco del tem -->
				<c:forEach var="huec" begin="0" end="${NumHuec - 1}">
					<tr>
						<td>
							Hueco ${huec + 1}<br />
							Identificador*: <input type="text" name="IdentHuec${huec}" size="10" value="${IdentHuec[huec].identificador}"></p>
						</td>
						<!-- Un elemento por cada opcin del tem -->
						<c:forEach var="opc" begin="0" end="${NumOpc- 1}">
							<td><center>&#191;Combinaci&oacute;n Correcta? <input type="radio" name="Correcto${huec}" <c:if test="${Correcto[huec] == opc}">checked="true"</c:if> value="${opc}"></center></td>
						</c:forEach>
					</tr>
				</c:forEach>
				
			</table>
			
			<p><input type="submit" value="Crear &Iacute;tem XML" name="Form" onClick="return confirmSubmit('&#191;Est&aacute; conforme con los datos introducidos para crear el &iacute;tem Gap Match?')"/>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, 'IdentOpc', '${IdentificadorBaseOpcion}', 'IdentHuec', '${IdentificadorBaseHueco}')"/></p>
		</form>

		<p>* Campo obligatorio</p>
		
	<jsp:include page="pie.jsp"/>