<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Introducir textos y opciones "Inline Choice"</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">

		<jsp:include page="cabecera.jsp"/>
		
		<p><h2>Itroducir los textos y las opciones tipo "Inline Choice"</h2></p>

		<x:aviso aviso="${Aviso}"/>
		
		<form method="post" name="Formulario">
			<p>Texto hasta las opciones:<br /><textarea name="Texto1" rows="6" cols="40">${Texto1}</textarea></p>
			<table border="1" width="600" id="table1">
				<!-- Una fila por cada opcin del tem -->
				<c:forEach var="numero" begin="0" end="${Num_Opc - 1}">
					<tr>
						<td width="300">Opci&oacute;n ${numero + 1}*: <input type="text" name="Opciones${numero}" size="45" value="${Opciones[numero]}"></td>
						<td width="103">Identificador*: <input type="text" name="Identificador${numero}" size="12" value="${Identificador[numero].identificador}"></td>
						<td><center>&#191;Correcta? <input type="radio" name="Correcto" <c:if test="${Correcto == numero}">checked="true"</c:if> value="${numero}"></center></td>
						<c:if test="${Shuff == true}">
							<td><center>&#191;Fija? <input type="checkbox" name="Fija${numero}" <c:if test="${Fija[numero] == true}">checked="true"</c:if>></center></td>
						</c:if>
					</tr>
				</c:forEach>
				
			</table>
			<p>Texto tras las opciones:<br /><textarea name="Texto2" rows="6" cols="40">${Texto2}</textarea></p>
			
			<p><input type="submit" value="Crear &Iacute;tem XML" name="Form" onClick="return confirmSubmit('&#191;Est&aacute; conforme con los datos introducidos para crear el &iacute;tem Inline Choice?')"/>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, 'Identificador', '${IdentificadorBase}', '', '')"/></p>
		</form>

		<p>* Campo obligatorio</p>
		
	<jsp:include page="pie.jsp"/>