<%@ taglib prefix="x" tagdir="/WEB-INF/tags/"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
		<meta http-equiv="Content-Language" content="es"/>
		<title>Introducir respuestas tipo "Match"</title>
		<script language="JavaScript" type="text/javascript" src="./Scripts/confirmSubmit.js"></script>
		<script language="JavaScript" type="text/javascript" src="./Scripts/resetValues.js"></script>
	</head>

	<body onLoad="document.Formulario.${Focus}.focus()" bgcolor="#C3D3DF">
	
		<jsp:include page="cabecera.jsp"/>
		
		<p><h2>Introducir ambos grupos de opciones tipo "Match"</h2></p>

		<x:aviso aviso="${Aviso}"/>
		
		<form method="post" name="Formulario">
			<p>N&uacute;mero m&aacute;ximo de asociaciones totales*: <input type="text" name="NumMax" size="8" value="${NumMax}"></p>
			<p>(si es cero no hay restricciones en el n&uacute;mero m&aacute;ximo de elecciones)</p>		
			<p>Para los n&uacute;meros m&aacute;ximos de elecciones un valor de cero indica que no hay restricciones 
			en el n&uacute;mero m&aacute;ximo de elecciones</p>
			<table border="1" id="table1">
				<tr>
					<td></td>
					<!-- Una columna por cada opcin del grupo 2 del tem -->
					<c:forEach var="num2" begin="0" end="${NumGrupo2-1}">
						<td>
							Opci&oacute;n 2.${num2 + 1}*: <input type="text" name="Grupo2_${num2}" size="15" value="${Grupo2[num2]}"><br />
							Identificador*: <input type="text" name="Identificador2_${num2}" size="10" value="${Identificador2[num2].identificador}"><br />
							M&aacute;ximas asociaciones*: <input type="text" name="Max2_${num2}" size="5" value="${Max2[num2]}">
							<c:if test="${Shuffle == true}">
								<br />&#191;Fija? <input type="checkbox" name="Fija2_${num2}" <c:if test="${Fija2[num2] == true}">checked="true"</c:if>>
							</c:if>
						</td>
					</c:forEach>
				</tr>
				<!-- Una fila por cada opcin del grupo 1 del tem -->
				<c:forEach var="num1" begin="0" end="${NumGrupo1 - 1}">
					<tr>
						
						<td>
							Opci&oacute;n 1.${num1 + 1}*: <input type="text" name="Grupo1_${num1}" size="15" value="${Grupo1[num1]}"><br />
							Identificador*: <input type="text" name="Identificador1_${num1}" size="10" value="${Identificador1[num1].identificador}"><br />
							M&aacute;ximas asociaciones*: <input type="text" name="Max1_${num1}" size="5" value="${Max1[num1]}">
							<c:if test="${Shuffle == true}">
								<br />&#191;Fija? <input type="checkbox" name="Fija1_${num1}" <c:if test="${Fija1[num1] == true}">checked="true"</c:if>>
							</c:if>
						</td>
						<!-- Una columna por cada opcin del grupo 2 del tem -->
						<c:forEach var="num2" begin="0" end="${NumGrupo2 - 1}">
							<td><center>&#191;Combinaci&oacute;n Correcta? <input type="checkbox" name="Correcto${num1}_${num2}" <c:if test="${Correcto[num1][num2] == true}">checked="true"</c:if>></center></td>
						</c:forEach>
		
					</tr>
				</c:forEach>
				
			</table>
			
			<p><input type="submit" value="Crear &Iacute;tem XML" name="Form" onClick="return confirmSubmit('&#191;Est&aacute; conforme con los datos introducidos para crear el &iacute;tem Match?')"/>
			<input type="button" value="Restablecer" onClick="resetValues(Formulario, 'Identificador1_', '${IdentificadorBaseGrupo1}', 'Identificador2_', '${IdentificadorBaseGrupo2}')"/></p>
		</form>

		<p>* Campo obligatorio</p>
		
	<jsp:include page="pie.jsp"/>